Đến nội dung


Hình ảnh
- - - - -

Lisp biến Text thành 1 text hay một giá trị mình nhập vào ??????????


  • Please log in to reply
5 replies to this topic

#1 hhhhgggg

hhhhgggg

    biết dimedit

  • Members
  • PipPipPipPipPip
  • 393 Bài viết
Điểm đánh giá: 30 (tàm tạm)

Đã gửi 03 December 2008 - 10:57 AM

Bác Pro nào viết cho em cái Lisp biến các text ( Mtext) được chọn thành 1 Text khác (hay 1 Value) mà mình nhập vào ???
Cảm ơn các bác !
  • 0
Hoàng Giang

#2 Tue_NV

Tue_NV

    KS Võ Quang Tuệ

  • Moderator
  • PipPipPipPipPipPipPip
  • 4296 Bài viết
Điểm đánh giá: 3804 (đỉnh cao)

Đã gửi 03 December 2008 - 11:37 AM

Bác Pro nào viết cho em cái Lisp biến các text ( Mtext) được chọn thành 1 Text khác (hay 1 Value) mà mình nhập vào ???
Cảm ơn các bác !

Có phải bạn muốn chọn các text, sau đó nhập giá trị Text vào, lập tức các Text được chọn ban đầu đó nhận giá trị là Text vào
Nếu vậy thì cái bạn cần ở đây : http://www.cadviet.c...?showtopic=7092
  • 0

#3 hhhhgggg

hhhhgggg

    biết dimedit

  • Members
  • PipPipPipPipPip
  • 393 Bài viết
Điểm đánh giá: 30 (tàm tạm)

Đã gửi 04 December 2008 - 10:50 AM

Có phải bạn muốn chọn các text, sau đó nhập giá trị Text vào, lập tức các Text được chọn ban đầu đó nhận giá trị là Text vào
Nếu vậy thì cái bạn cần ở đây : http://www.cadviet.c...?showtopic=7092

Đúng là mình muốn vậy nhưng mà cái Lisp ở diễn đàn đó ko chạy được bạn à ? Báo lỗi : "Select objects: ; error: quit / exit abort"
  • 0
Hoàng Giang

#4 ssg

ssg

    biết lệnh adcenter

  • Vip
  • PipPipPipPipPipPipPip
  • 1228 Bài viết
Điểm đánh giá: 1087 (rất tốt)

Đã gửi 04 December 2008 - 11:11 AM

Bác Pro nào viết cho em cái Lisp biến các text ( Mtext) được chọn thành 1 Text khác (hay 1 Value) mà mình nhập vào ???
Cảm ơn các bác !

Bạn dùng thử cái này, lệnh TTT:


(defun C:TTT( / ss txt e d)
(setq
ss (ssget '((0 . "TEXT,MTEXT")))
txt (getstring "\nGia tri text thay the:" T)
)
(while (setq e (ssname ss 0))
(setq
d (entget e)
d (subst (cons 1 txt) (assoc 1 d) d)
)
(entmod d)
(ssdel e ss)
)
(princ)
)

  • 1

#5 Tue_NV

Tue_NV

    KS Võ Quang Tuệ

  • Moderator
  • PipPipPipPipPipPipPip
  • 4296 Bài viết
Điểm đánh giá: 3804 (đỉnh cao)

Đã gửi 04 December 2008 - 11:24 AM

Đúng là mình muốn vậy nhưng mà cái Lisp ở diễn đàn đó ko chạy được bạn à ? Báo lỗi : "Select objects: ; error: quit / exit abort"

Lỗi này là do file .dcl chưa được chỉ đường dẫn để tải vào ACAD.
CÁi này gồm 2 file Edit Multi Text.dcl và file Edit Multi Text.lsp
Bạn chép 2 file này vào trong 1 thư mục nào đó

Vào CAD, đánh lệnh op (option) -> ở nhãn file -> hàng đầu tiên Support file search Path -> Chọn Add -> Chỉ đường dẫn tới thư mục chứa file Edit Multi Text.dcl ->Apply -> OK.

Appload file lisp và sử dụng. Tên lệnh là edd.
Hai file đó đay : http://www.cadviet.c...Multi_Text.rar
  • 0

#6 hhhhgggg

hhhhgggg

    biết dimedit

  • Members
  • PipPipPipPipPip
  • 393 Bài viết
Điểm đánh giá: 30 (tàm tạm)

Đã gửi 04 December 2008 - 11:31 AM

Bạn dùng thử cái này, lệnh TTT:


(defun C:TTT( / ss txt e d)
(setq
ss (ssget '((0 . "TEXT,MTEXT")))
txt (getstring "\nGia tri text thay the:" T)
)
(while (setq e (ssname ss 0))
(setq
d (entget e)
d (subst (cons 1 txt) (assoc 1 d) d)
)
(entmod d)
(ssdel e ss)
)
(princ)
)

ok ! Lisp của bác SSG chính là lời giải của bài toán. Em đã Test và chạy ok ! Em tặng bác 1 con gà quay ( Hình vẽ) để hậu tạ ! kekeke
  • 0
Hoàng Giang